Uploaded image for project: 'Appcelerator Studio'
  1. Appcelerator Studio
  2. TISTUD-4705

Failure attaching Alloy templates while installing alloy 1.1.2

    Details

    • Story Points:
      5

      Description

      I received an error dialog during installation of alloy 1.1.2 on Appcelerator Studio 3.1.1 RC. I did not have alloy already installed.

      After the install, it looks like alloy 1.1.2 installed fine, but the template hooks failed? Here's the log:

      !ENTRY org.eclipse.core.jobs 4 2 2013-05-20 13:10:09.376
      !MESSAGE An internal error occurred during: "Checking if alloy is installed...".
      !STACK 0
      java.lang.NoSuchMethodError: com.aptana.js.core.node.INodePackageManager.getInstalledVersion(Ljava/lang/String;)Lorg/osgi/framework/Version;
      	at com.appcelerator.titanium.alloy.internal.ui.AlloyTemplateInstaller$3.run(AlloyTemplateInstaller.java:246)
      	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:54)
      

      Trying to create a new mobile project, I do see the standard and two tabbed alloy templates listed - so the error looks pretty benign.

        Attachments

          Activity

            People

            • Assignee:
              mxia Michael Xia
              Reporter:
              cwilliams Christopher Williams
            • Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: